Description: replace "define" by "define-property"
Author: Xavier Guimard <yadd@debian.org>
Forwarded: not-needed
Last-Update: 2019-06-04

--- a/lib/parser.js
+++ b/lib/parser.js
@@ -159,10 +159,10 @@
 
     return function(node) {
       if (!node.isNode) node = new Node(node);
-      node.define('position', new Position(start, self));
-      node.define('parsed', parsed);
-      node.define('inside', self.stack.length > 0);
-      node.define('rest', self.input);
+      define(node, 'position', new Position(start, self));
+      define(node, 'parsed', parsed);
+      define(node, 'inside', self.stack.length > 0);
+      define(node, 'rest', self.input);
       return node;
     };
   },
@@ -549,7 +549,7 @@
       throw new Error('expected node to be an instance of Node');
     }
     if (node.visited) return;
-    node.define('visited', true);
+    define(node, 'visited', true);
     node = fn(node) || node;
     if (node.nodes) {
       this.mapVisit(node.nodes, fn, node);
